<template>
  <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
    
    <div class="overflow-auto">
      <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
          <tr>
            <th scope="col" class="w-60 p-4 md:w-auto">Leave Type</th>
            <th scope="col" class="p-4 w-60 md:w-auto">Applied At</th>
            <th scope="col" class="p-4 w-40 md:w-auto">Start Date</th>
            <th scope="col" class="p-4 w-40 md:w-auto">End Date</th>
            <th scope="col" class="p-4 w-40 md:w-auto">Status</th>
            <th scope="col" class="p-4 w-40 md:w-auto">Action</th>
          </tr>
        </thead>
        <tbody>
          <!-- Table rows -->
          <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
            v-for="leaveApplication in leaveApplications.data">
            <td class="p-4 dark:text-gray-200">
              {{ leaveApplication.leave_type.type }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ new Date(leaveApplication.created_at).toLocaleString() }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ leaveApplication.start_date }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ leaveApplication.end_date }}
            </td>
            <td class="p-4 dark:text-gray-200">
              <Status :status="leaveApplication.approval_status"></Status>
            </td>
            <td class="p-4 flex items-center">
              <Link :href="`/leave/leaveApplication/${leaveApplication.id}`"
                class="text-gray-500 hover:text-green-900">
              <Icon icon="fa-solid fa-eye" class="text-2xl"></Icon>
              </Link>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    
  </div>
  <div v-if="currentUser.can_apply_leave" class="flex justify-end mt-4 mr-4">
  <Link href="/myLeave/leaveApplication/create" class="font-medium text-lime-500 hover:text-lime-600">
      <button class="btn bg-blue-700 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-blue-800 focus:outline-none focus:ring-2 focus:ring-blue-500">Apply Leave</button>
  </Link>
</div>

  <Pagination :data="leaveApplications"></Pagination>
</template>

<script setup>
import { computed } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";
import Status from '@/Components/Status.vue';

const page = usePage();
const currentUser = computed(() => page.props.currentUser)

const props = defineProps({
  leaveApplications: Object,
});

//selection
const selectionForm = useForm({
  selected: [],
});
</script>


